View Issue Details

IDProjectCategoryView StatusLast Update
16316Bug reportsSurvey takingpublic2020-06-29 15:34
ReporterMazi Assigned To 
PrioritynormalSeveritycrash 
Status closedResolutionfixed 
Product Version3.22.15 
Summary16316: Condition for list radio questions with question design "image_select" broken for questions on the same page
Description

When using the "image_select" question design of the "List radio" question type, conditions for questions on the same page are not working. For questions on a follow up page it is woring fine -> Most probably a JS issue.

Steps To Reproduce
  1. Import the attached survey.
  2. Run the survey.
  3. At q1 pick option 1 or 2.
    -> q2 on the same page does NTO show up.
  4. Click "next"
    -> q3 on the next page shows up.

Both questions are using the same conditions. q2 and q3 should show up if either option 1 or 2 was picked at q1.

Additional Information

Tested at https://diadora.limequery.com/

TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 3.22.12
I will donate to the project if issue is resolvedNo
BrowserChrome
Database & DB-Versionlimequery
Server OS (if known)limequery
Webserver software & version (if known)limequery
PHP Versionlimequery

Activities

Mazi

Mazi

2020-05-20 18:56

partner  

image_select.lss (19,028 bytes)
Mazi

Mazi

2020-05-20 18:57

partner   ~57976

We had a similar issue with the boot_buttons question design of the same question type so the fix could be of a similar type, see https://bugs.limesurvey.org/view.php?id=14332

cdorin

cdorin

2020-06-01 23:37

manager   ~58133

Last edited: 2020-06-29 11:12

Thanks - should be solved with 15596

DenisChenu

DenisChenu

2020-06-19 09:09

developer   ~58346

Last edited: 2020-06-29 11:12

With other

image_select-more.lss (18,910 bytes)

user225042

2020-06-19 14:37

  ~58359

Last edited: 2020-06-29 11:12

View 2 revisions

Tested issue by checking out the branch. Que 2 is been displayed when i select the option 1 or 2 from the survey.One more scenario needs to be tested

DenisChenu

DenisChenu

2020-06-19 14:42

developer   ~58360

Last edited: 2020-06-29 11:12

@sushmanadendla there are 2 branch ;)

I think we must use cleaner JS system : https://github.com/LimeSurvey/LimeSurvey/pull/1439

And here : there are an issue about the wrapper name (checkbox-item for a radio (or an image))

guest

guest

2020-06-29 10:37

viewer   ~58536

Last edited: 2020-06-29 11:12

Fix committed to 3.x-LTS branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=30224

lime_release_bot

lime_release_bot

2020-06-29 15:34

administrator   ~58558

Fixed in Release 3.22.24+200630

Related Changesets

LimeSurvey: 3.x-LTS c0bce495

2020-06-29 10:37:05

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 16316: Condition for list radio questions with question design "image_select" broken for questions on the same page (#1436) Affected Issues
16316
mod - themes/question/image_select/survey/questions/answer/listradio/rows/answer_row.twig Diff File

Issue History

Date Modified Username Field Change
2020-05-20 18:56 Mazi New Issue
2020-05-20 18:56 Mazi File Added: image_select.lss
2020-05-20 18:57 Mazi Note Added: 57976
2020-05-29 19:11 cdorin Priority none => normal
2020-05-29 19:11 cdorin Status new => confirmed
2020-05-29 19:11 cdorin Steps to Reproduce Updated View Revisions
2020-06-01 23:37 cdorin Note Added: 58133
2020-06-19 09:09 DenisChenu Note Added: 58346
2020-06-19 09:09 DenisChenu File Added: image_select-more.lss
2020-06-19 14:37 user225042 Note Added: 58359
2020-06-19 14:37 user225042 File Added: 16316_Firstoptionselected.PNG
2020-06-19 14:37 user225042 File Added: 16316_Nooptionselected.PNG
2020-06-19 14:37 user225042 File Added: 16316_Secondoptionselected.PNG
2020-06-19 14:42 DenisChenu Note Added: 58360
2020-06-19 16:12 user225042 File Deleted: 16316_Firstoptionselected.PNG
2020-06-19 16:12 user225042 File Deleted: 16316_Nooptionselected.PNG
2020-06-19 16:12 user225042 File Deleted: 16316_Secondoptionselected.PNG
2020-06-19 16:13 user225042 Note Edited: 58359 View Revisions
2020-06-29 10:37 gabrieljenik Changeset attached => LimeSurvey 3.x-LTS c0bce495
2020-06-29 10:37 guest Note Added: 58536
2020-06-29 11:12 swendrich Status confirmed => resolved
2020-06-29 15:34 lime_release_bot Note Added: 58558
2020-06-29 15:34 lime_release_bot Status resolved => closed
2020-06-29 15:34 lime_release_bot Resolution open => fixed